# Generated from terminal_link-1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name terminal_link

Name: rubygem-%{gem_name}
Version: 1.1
Release: 1%{?dist}
Summary: Print hyperlinks in supported terminal emulators
License: MIT
URL: https://github.com/astrosquid/terminal_links
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This gem is for printing hyperlinks in supported terminal emulators. It is a
simple wrapper that abstracts the ANSI characters usually required to achieve
this, which are annoying to type out. Check out the gist that inspired this
gem at: https://gist.github.com/egmontkob/eb114294efbcd5adb1944c9f3cb5feda.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Sep 16 2021 mockbuilder - 1.1-1
- Initial package
